Package org.h2gis.functions.spatial.convert

## Class UpdateGeometryZ

- java.lang.Object
- - org.h2gis.functions.spatial.convert.UpdateGeometryZ

    public class UpdateGeometryZ
    extends Object

This class is used to force the coordinate dimension of a geometry to 3 and update the z value

Author:
  Erwan Bocher

### Constructor Summary

Constructors
`UpdateGeometryZ()`

### Method Summary

All Methods Static Methods Concrete Methods
`static org.locationtech.jts.geom.GeometryCollection` `convert​(org.locationtech.jts.geom.GeometryCollection gc, double z)` Force the dimension of the GeometryCollection and update correctly the coordinate dimension
`static org.locationtech.jts.geom.LinearRing` `convert​(org.locationtech.jts.geom.LinearRing linearRing, double z)` Force the dimension of the LinearRing and update correctly the coordinate dimension
`static org.locationtech.jts.geom.LineString` `convert​(org.locationtech.jts.geom.LineString lineString, double z)` Force the dimension of the LineString and update correctly the coordinate dimension
`static org.locationtech.jts.geom.MultiLineString` `convert​(org.locationtech.jts.geom.MultiLineString multiLineString, double z)` Force the dimension of the MultiLineString and update correctly the coordinate dimension
`static org.locationtech.jts.geom.MultiPolygon` `convert​(org.locationtech.jts.geom.MultiPolygon multiPolygon, double z)` Force the dimension of the MultiPolygon and update correctly the coordinate dimension
`static org.locationtech.jts.geom.Polygon` `convert​(org.locationtech.jts.geom.Polygon polygon, double z)` Force the dimension of the Polygon and update correctly the coordinate dimension
`static org.locationtech.jts.geom.Geometry` `force​(org.locationtech.jts.geom.Geometry geom, double z)` Force the dimension of the geometry to 3, update correctly the coordinate dimension and change the z value

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UpdateGeometryZ

    public UpdateGeometryZ()

### Method Detail

#### force

    public static org.locationtech.jts.geom.Geometry force​(org.locationtech.jts.geom.Geometry geom,
                                                           double z)

Force the dimension of the geometry to 3, update correctly the coordinate dimension and change the z value

Parameters:
  `geom` - the input geometry
  `z` - the value to update
Returns:
  Geometry

#### convert

    public static org.locationtech.jts.geom.GeometryCollection convert​(org.locationtech.jts.geom.GeometryCollection gc,
                                                                       double z)

Force the dimension of the GeometryCollection and update correctly the coordinate dimension

Parameters:
  `gc` - `GeometryCollection`
  `z` - Z value
Returns:
  Geometry

#### convert

    public static org.locationtech.jts.geom.MultiPolygon convert​(org.locationtech.jts.geom.MultiPolygon multiPolygon,
                                                                 double z)

Force the dimension of the MultiPolygon and update correctly the coordinate dimension

Parameters:
  `multiPolygon` - MultiPolygon
  `z` - Z value
Returns:
  MultiPolygon

#### convert

    public static org.locationtech.jts.geom.MultiLineString convert​(org.locationtech.jts.geom.MultiLineString multiLineString,
                                                                    double z)

Force the dimension of the MultiLineString and update correctly the coordinate dimension

Parameters:
  `multiLineString` - `MultiLineString`
  `z` - value
Returns:
  MultiLineString

#### convert

    public static org.locationtech.jts.geom.Polygon convert​(org.locationtech.jts.geom.Polygon polygon,
                                                            double z)

Force the dimension of the Polygon and update correctly the coordinate dimension

Parameters:
  `polygon` - `Polygon`
  `z` - value
Returns:
  Polygon

#### convert

    public static org.locationtech.jts.geom.LineString convert​(org.locationtech.jts.geom.LineString lineString,
                                                               double z)

Force the dimension of the LineString and update correctly the coordinate dimension

Parameters:
  `lineString` - `LineString`
  `z` - value
Returns:
  LineString

#### convert

    public static org.locationtech.jts.geom.LinearRing convert​(org.locationtech.jts.geom.LinearRing linearRing,
                                                               double z)

Force the dimension of the LinearRing and update correctly the coordinate dimension

Parameters:
  `linearRing` - `LinearRing`
  `z` - value
Returns:
  LinearRing